Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 19 reacties
Bron: Mozilla Foundation, submitter: sambalbaj

Mozilla Firefox logo (75 pix) Hoewel versie 3.6 van webbrowser Firefox alweer een tijdje uit is, blijft de Mozilla Foundation updates uitbrengen voor versie 3.5. Deze updates, die in ieder geval tot augustus van dit jaar op regelmatige basis zullen verschijnen, bevatten uiteraard geen nieuwe mogelijkheden. In versie 3.5.9, de negende update sinds de verschijning van 3.5 eind juni 2009, zijn maar liefst 56 bugs verholpen en behoren ook de volgende acht beveiligingsproblemen tot het verleden:

What’s New in Firefox 3.5.9:
  • XMLDocument::load() doesn't check nsIContentPolicy
  • Image src redirect to mailto: URL opens email editor
  • Update NSS to support TLS renegotiation indication
  • Chrome privilege escalation via forced URL drag and drop
  • Dangling pointer vulnerability in nsPluginArray
  • Dangling pointer vulnerability in nsTreeContentView
  • Remote code execution with use-after-free in nsTreeSelection
  • Crashes with evidence of memory corruption (rv:1.9.2.2/ 1.9.1.9/ 1.9.0.19)

Please see the complete list of changes in this version. You may also be interested in the Firefox 3.5.8 release notes for a list of changes in the previous version.

De volgende downloads zijn beschikbaar:
*Mozilla Firefox 3.5.9 voor Windows (Nederlands)
*Mozilla Firefox 3.5.9 voor Windows (Engels)
*Mozilla Firefox 3.5.9 voor Windows (Fries)
*Mozilla Firefox 3.5.9 voor Linux (Nederlands)
*Mozilla Firefox 3.5.9 voor Linux (Engels)
*Mozilla Firefox 3.5.9 voor Linux (Fries)
*Mozilla Firefox 3.5.9 voor Mac OS X (Nederlands)
*Mozilla Firefox 3.5.9 voor Mac OS X (Engels)
*Mozilla Firefox 3.5.9 voor Mac OS X (Fries)

Mozilla Firefox 3.5.1 screenshot (481 pix)
Versienummer:3.5.9
Releasestatus:Final
Besturingssystemen:Windows 7, Windows 2000, Linux, Windows XP, macOS, Windows Server 2003, Windows Vista, Windows Server 2008
Website:Mozilla Foundation
Download:http://www.mozilla.com/en-US/firefox/all-older.html
Bestandsgroottes:8,37MB t/m 18,30MB
Licentietype:Freeware
Moderatie-faq Wijzig weergave

Reacties (19)

Ik snap het nut niet zo van het updaten van de 3.5 lijn. Waarom zou je niet gewoon naar 3.6 gaan? Het is toch geen beta meer? Het voegt niks toe imo.
FF 3.6 geeft een probleem met de Oracle Support website. Heeft waarschijnlijk ook met Flash te maken, maar de 3.5 serie doet het wel gewoon. Dus voor mij nog even geen 3.6.
Sinds versie 3.6 zijn er een aantal dingen van Javascript gesloopt. Zo ondervond ik een probleem bij ASP.NET grid van Infragistics. Dus ik kan aannemen dat er inderdaad hier een daar sites zijn die plots niet 100% meer werken.
Tenzij het grid gebruikt maakt van browser-sniffing (iets dat in de meeste gevallen gewoon overbodig is en dus ook erg terughoudend gebruikt moete worden), kan ik niet direct een goede reden verzinnen waarom een bepaalde stuk JavaScript niet meer zou werken. De enige andere reden die ik zou kunnen verzinnen, dat is dat een stuk Mozilla-only JavaScript vervangen is door een meer standards-based stuk JavaScript.

(Waarbij het waarschijnlijk niet zo zeer om JS gaat, maar om het Document Object Model (DOM), voor de simpele gebruiker is dat echter een en hetzelfde).

Als gebruiker van zo'n component/library (ik bedoel dus de programmeur die een site maakt) zou ik me wel twee keer bedenken voordat ik dat script opnieuw zal gebruiken en ook van dezelde toko zou ik geen code meer afnemen...

* Little Penguin is dan ook erg benieuwd naar de functionaliteit die niet meer aanwezig zou zijn in Fx 3.6
De javascript functie die Infragistics gebruikt is document.getBoxObjectFor en die is uit versie 3.6 gesloopt.

De thread bij Infragistics ter info: http://community.infragis.../t/36753.aspx?PageIndex=1
De javascript functie die Infragistics gebruikt is document.getBoxObjectFor en die is uit versie 3.6 gesloopt.
De functie gaat dus inderdaad om de DOM en niet om JavaScript, verder is naar mijn mening de term 'gesloopt' niet correct, want als je kijkt naar de gebruikte functie dan blijkt dat het een non standard functie is die sinds Firefox 3(!) al een waarschuwing oplevert:
BTW calling getBoxObjectFor on non-XUL elements has been sending a warning to
the error console "Use of getBoxObjectFor() is deprecated" ever since Firefox
3.
Bron: https://bugzilla.mozilla.org/show_bug.cgi?id=340571#c29

Op het moment dat je als component/library auteur waagt aan het gebruiken van een non-standaard functie dan begeef je je wel heel erg op glad ijs. Op het moment dat je zoiets doet moet je eigenlijk altijd 100% controle over je library hebben, een bedrijf als Google (of Microsoft of Yahoo! of zelfs tweakers.net) kan het eventueel toepassen in een eigen library - maar zoiets gebruiken in een component dat je doorgeeft aan derden is niet erg slim.

Tel er dan ook nog eens bij op dat al sinds Fx 3.0 er een waarschuwing verschijnt, dan heeft men dus al meer dan anderhalf jaar de tijd gehad om voor een vervanger te zorgen - ruim voldoende zou ik zo zeggen...
Klopt wat je zegt, het is een grote fout van Infragistics, en we wachten nog steeds op een service release. Maar zo zit de wereld dus in elkaar.
Als het niks toevoegt zal het niet gedownload worden, als het niet gedownload wordt zullen ze ook wel stoppen met ontwikkelen.

Er zijn nu eenmaal nog steeds gebruikers van 3.5. Net als gebruikers van IE6 of IE7. Het verschil zit hem in minor fixes en major releases.
Misschien doordat sommige add-ons niet op FF3.6 werken....
Vanwege de addons zoals al vermeld, maar ook vanwege bedrijven. Een IT-beheerder gaat zich niet bezig houden met het telkens updaten van elke nieuwe software release die er uit komt. Dat vraagt tijd, geld en moeite (en veel testen). Bij ons op school zitten ze ook nog met de 3.5 reeks. Ik kan me echter wel nog de nachtmerries herinneren van de overstap van 3.0. Die hebben ze zeer snel gedaan, maar op de helft van de computers werkte hij wel niet. Om zulke dingen te vermijden is het vooraf testen zeer belangrijk.
Mozilla heeft gewoon "beloofd" dat de vorige versie nog een half jaar na de release van de nieuwste versie ondersteund zal worden. Op die manier kun je als systeembeheerder dus een half jaar uittrekken voor testen van de nieuwe versie.
Het upgraden naar een hogere versie is meestal een ramp voor sommige addons. Een aantal ben ik afhankelijk van en zijn nu na weken nog steeds niet werkend voor de 3.6-versie.
Ik gebruik bewust op meerdere computers nog 3.5. En dat is omdat v3.6 regelmatig vast loopt. Waar het precies aan ligt weet ik niet, maar ga ik ook geen tijd in steken zolang 3.5 nog goed werkt en up to date wordt gehouden. Overigens heb ik meer mensen gehoord die het vastloop probleem hebben specifiek bij 3.6
Vanwege de LTS releases in Linux, daar zit vaak 3.5 nog in. En deze willen ze wel blijven supporten
Nou nee, want (bijvoorbeeld) Canonical/Ubuntu is zelf verantwoordelijk voor de software in haar distributie, als Canonical langere support wil dan moet ze daar zelf voor zorgen. Gedurende een half jaar na de release van een volgende versie zal Mozilla de voorgaande versie blijven ondersteunen, maar daarna zal Canonical echt zelf Firefox (en Thunderbird) moeten patchen...

En dat geldt natuurlijk ook voor de andere Linux-based distributies, als de verspreider langere support wil moet deze daar zelf voor zorgen...
Als de mozilla jongens hard-ball gaan spelen kiest ubuntu (en andere distro's) simpelweg voor een browser die wel supported is voor langere tijd (met eventueel een losse install van firefox als optie voor de gebruiker)

Het is geven en nemen.
Ik denk Yes! Crashes with evidence of memory corruption.
Blijkt het dus inderdaad om een andere versie te gaan,terwijl ik dit nu dus met 3.6.2 heb,rare crashes opeens.
Ik heb dit sinds versie 3.5, ben speciaal overgestapt naar 3.6 om te kijken of het opgelost was, maar niet dus (al is het minder dan enkele versies terug).

Ik wacht ook op de versie dit dit oplost (al heeft het toch wat geholpen enkele oude java console plugins te deactiveren).

Voor zover ik op het internet kan zien kan het te maken hebben met bepaalde plugins (VLC bijvoorbeeld), maar het rare is dat ik geen VLC plugin heb. Dus het zal niet alleen aan die plugin liggen.
Bijvoorbeeld Vmware Server doet het niet meer met de nieuwe versie van Firefox (3.6), daar voor updaten ze het bijvoorbeeld.

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True